summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/amd
diff options
context:
space:
mode:
authormtm <mtm@FreeBSD.org>2004-01-17 10:40:45 +0000
committermtm <mtm@FreeBSD.org>2004-01-17 10:40:45 +0000
commit904beb9e16b91685d147748ca9a0ddfda1cd9282 (patch)
tree99720b9841634a9c5e100113c18279be9db362fb /etc/rc.d/amd
parent756ba78a920fb35b9c7d4d2bbdc0422e55f17673 (diff)
downloadFreeBSD-src-904beb9e16b91685d147748ca9a0ddfda1cd9282.zip
FreeBSD-src-904beb9e16b91685d147748ca9a0ddfda1cd9282.tar.gz
Luke Mewburn has indicated that they (NetBSD) are not interested
in keeping the scripts under rc.d in sync with us. So, remove NetBSD specific stuff (which made our scripts more complicated than necessary). The NetBSD ident string will be left intact, both for history and also incase we wish to pull in future versions.
Diffstat (limited to 'etc/rc.d/amd')
-rwxr-xr-xetc/rc.d/amd69
1 files changed, 27 insertions, 42 deletions
diff --git a/etc/rc.d/amd b/etc/rc.d/amd
index ac7f4b6..6ecf00f 100755
--- a/etc/rc.d/amd
+++ b/etc/rc.d/amd
@@ -14,53 +14,38 @@
name="amd"
rcvar=`set_rcvar`
command="/usr/sbin/${name}"
-
-case ${OSTYPE} in
-FreeBSD)
- start_precmd="amd_precmd"
- command_args="&"
- ;;
-NetBSD)
- command_args='-p -a '$amd_dir' -F /etc/amd.conf >/var/run/amd.pid'
- required_dirs="$amd_dir"
- required_files="/etc/amd.conf"
- required_vars="rpcbind"
- ;;
-esac
+start_precmd="amd_precmd"
+command_args="&"
amd_precmd()
{
- case ${OSTYPE} in
- FreeBSD)
- if ! checkyesno nfs_client_enable; then
- force_depend nfsclient || return 1
- fi
+ if ! checkyesno nfs_client_enable; then
+ force_depend nfsclient || return 1
+ fi
+
+ if ! checkyesno rpcbind_enable && \
+ ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
+ then
+ force_depend rpcbind || return 1
+ fi
+
+ case ${amd_map_program} in
+ [Nn][Oo] | '')
+ ;;
+ *)
+ rc_flags="${rc_flags} `eval ${amd_map_program}`"
+ ;;
+ esac
- if ! checkyesno rpcbind_enable && \
- ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
- then
- force_depend rpcbind || return 1
+ case "${amd_flags}" in
+ '')
+ if [ ! -r /etc/amd.conf ]; then
+ warn 'amd will not load without arguments'
+ return 1
fi
-
- case ${amd_map_program} in
- [Nn][Oo] | '')
- ;;
- *)
- rc_flags="${rc_flags} `eval ${amd_map_program}`"
- ;;
- esac
-
- case "${amd_flags}" in
- '')
- if [ ! -r /etc/amd.conf ]; then
- warn 'amd will not load without arguments'
- return 1
- fi
- ;;
- *)
- rc_flags="-p ${rc_flags} > /var/run/amd.pid 2> /dev/null" \
- ;;
- esac
+ ;;
+ *)
+ rc_flags="-p ${rc_flags} > /var/run/amd.pid 2> /dev/null" \
;;
esac
return 0
OpenPOWER on IntegriCloud